<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');
$ban_nombre=$_GET["banco"];  
$forma_pago=$_GET["forma_pago"];  


$mov_total=0;
$ven1=mysqli_query($con,"SELECT * from movimientos where mov_apertura='$apertura' and mov_usuario='$usu_id' and forma_pago='transferencia' and estado='entrada' and medio_pago='$ban_nombre' and mov_tipo_movimiento='Base de Apertura' ");
while ($vent1=mysqli_fetch_array($ven1))
{
    $mov_total=$vent1['mov_total'];
}

//transferencia
$transfe=mysqli_query($con,"SELECT *, sum(veab_abono) as total_tranferencia from ventas v,venta_abonos va where v.ven_forma_de_pago='Transferencia' and v.ven_estado<>'anulada' and v.apertura='$apertura' and v.ven_id=va.ventas_ven_id and va.medio_pago='$ban_nombre'  and v.usuario='$usu_id' ");
$transfe=mysqli_fetch_array($transfe);
$total_tranferencia=$transfe['total_tranferencia']+$mov_total;

//Tarjeta
$tarjer=mysqli_query($con,"SELECT *, sum(veab_abono) as total_tarjeta from ventas v,venta_abonos va where v.ven_forma_de_pago='Tarjeta' and v.ven_estado<>'anulada' and v.apertura='$apertura' and v.usuario='$usu_id' and v.ven_id=va.ventas_ven_id and va.medio_pago='$ban_nombre' ");
$tarjer=mysqli_fetch_array($tarjer);
$total_tarjeta=$tarjer['total_tarjeta'];

//Tarjeta
$combi=mysqli_query($con,"SELECT *, sum(veab_abono) as total_combinado from ventas v,venta_abonos va where v.ven_forma_de_pago='Combinado' and v.ven_estado<>'anulada' and v.apertura='$apertura' and v.usuario='$usu_id' and v.ven_id=va.ventas_ven_id and va.medio_pago='$ban_nombre' ");
$combi=mysqli_fetch_array($combi);
$total_combinado=$combi['total_combinado'];

//Cruce
$cruce=mysqli_query($con,"SELECT *, sum(veab_abono) as total_cruce from ventas v,venta_abonos va where v.ven_forma_de_pago='Cruce de Credito' and v.ven_estado<>'anulada' and v.apertura='$apertura' and v.usuario='$usu_id' and v.ven_id=va.ventas_ven_id and va.medio_pago='$ban_nombre' ");
$cruce=mysqli_fetch_array($cruce);
$total_cruce=$cruce['total_cruce'];

//abonos
$movi=mysqli_query($con,"SELECT *, sum(mov_total) as total_movimientos from movimientos where mov_apertura='$apertura' and empresa='$empresa' and sucursal='$sucursal' and mov_usuario='$usu_id' and mov_caja='$cajas_caja_id' and (mov_tipo_movimiento='Abono cxc' or mov_tipo_movimiento='Abono apartado' or mov_tipo_movimiento='Abono Adelantado' OR  mov_tipo_movimiento='Traspaso' or mov_tipo_movimiento='Abono orden de servicio' ) and medio_pago='$ban_nombre' ");
$movi=mysqli_fetch_array($movi);
$total_movimientos=$movi['total_movimientos'];

// egresos
$egr=mysqli_query($con,"SELECT sum(mov_total) as mov_total from movimientos
where empresa='$empresa' and mov_apertura='$apertura' and mov_usuario='$usu_id' and mov_caja='$cajas_caja_id' and (mov_tipo_movimiento='Comprobante de Egreso' or mov_tipo_movimiento='Devolucion de efectivo' or mov_tipo_movimiento='Traspaso' or mov_tipo_movimiento='Abono cxp' or mov_tipo_movimiento='Cuadre de Caja')  and estado='salida' and medio_pago='$ban_nombre'");
$e=mysqli_fetch_array($egr);
$egresos_bancos=$e['mov_total']+0; 

$total_medio_pago=($total_tranferencia+$total_tarjeta+$total_combinado+$total_cruce+$total_movimientos)-$egresos_bancos;

?>
<form method="post" action="" id="form_egreso2" name="form_egreso2">
    <input type="hidden" id="forma_pag" name="forma_pag" value="transferencia">
    <input type="hidden" id="banco" name="banco" value="<?php echo $ban_nombre; ?>">

    <label>Dinero Disponible</label>
        <input type="text" name="efectivo" value="<?php echo number_format($total_medio_pago,0); ?>" class="form-control name_list" autocomplete="off" readonly >

    <div class="form-group">
        <label>Detalle</label>
        <input type="text"  name="detalle" value="" class="form-control name_list" autocomplete="off">
    </div>
    <div class="form-group">
        <label>Valor</label>
        <input type="number" max="<?php echo $total_medio_pago; ?>" name="valor" value="" class="form-control name_list" autocomplete="off"  >
    </div>

    <div class="modal-footer" >
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
        <button type="submit" class="btn btn-success" name="btn_egreso2" value="btn_egreso2" id="btn_egreso2">Registrar</button>
    </div>
</form>
<script>
$("#form_egreso2").submit(function( event ) {
$('#btn_egreso2').attr("disabled", true);
var parametros=$(this).serialize();
    $.ajax({
    type: "POST",
    url: "php_movimientos/registrar_egreso.php",
    data: parametros,
    beforeSend: function(objeto){
     $('#resultados').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
    },
    success: function(datos){
    $("#resultados").html(datos);
    $('#btn_egreso').attr("disabled", false);
    $('#gastos').modal('hide');
    $('body').removeClass('modal-open');
    $('.modal-backdrop').remove();
    load(1);
    loadmodal();
    }
    });
    document.getElementById("form_egreso").reset();
    event.preventDefault();
})
</script>